
PunkObjectModule = require("bin/class/PunkObject")

Static = PunkObject:new()

function Static:set_physical_properties(w, x, y, size_x, size_y)
	self.body = love.physics.newBody(w, x, y, "static")
	self.shape = love.physics.newRectangleShape(size_x, size_y)
	self.width = size_x
	self.height = size_y
	
	self.fixture = love.physics.newFixture(self.body, self.shape, 1)
end

function Static:ready(w, x, y, size_x, size_y)
	self:set_physical_properties(w, x, y, size_x, size_y)
end

function Static:draw()
	love.graphics.setColor(1, 1, 1)
	love.graphics.rectangle("fill", self.body:getX() - (self.width/2), self.body:getY() - (self.height/2), self.width, self.height)
end

